For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
            • GETList Price Lists
            • POSTCreate Price List
            • DELDelete All Price Lists
            • GETGet Price List
            • PUTUpdate Price List
            • DELDelete Price List
              • POSTCreate Batch of Price Lists Records
              • PUTCreate or Update Batch of Price Lists Records
              • GETList Price List Records
              • POSTCreate Price List Records
              • PUTUpsert Price List Records
              • DELDelete Price List Record
              • GETList Price Records by Variant
              • GETGet Price Record by Currency Code
              • PUTSet Price List Record by Currency Code
              • DELDelete Price Record by Currency Code
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPrice ListsPrice Lists Records

Create Batch of Price Lists Records

POST
https://api.bigcommerce.com/stores/:store_hash/v3/pricelists/records
POST
/stores/:store_hash/v3/pricelists/records
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/pricelists/records \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "price_list_id": 1024,
> "currency": "USD",
> "variant_id": 5872
> },
> {
> "price_list_id": 1024,
> "currency": "USD",
> "variant_id": 5873
> },
> {
> "price_list_id": 2048,
> "currency": "EUR",
> "variant_id": 7890
> }
>]'
1{
2 "data": {},
3 "meta": {}
4}

Creates a batch of Price Lists Records; may include price list records from more than one price list. Concurrency limit of 10, batch size of 100. Will error out if any record in the batch already exists; use PUT to batch update existing records.

Was this page helpful?
Previous

Upsert Price List Assignment

Next

Create or Update Batch of Price Lists Records

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects a list of objects.
price_list_idintegerRequired
The price list ID the price record is associated with.
currencystringRequired

The 3-letter country code with which this price record is associated.

variant_idintegerOptional

The variant with which the price record is associated. Either variant_id or sku is required.

skustringOptional

The SKU for the variant with which this price record is associated. Either sku or variant_id is required.

pricedoubleOptional

The list price for the variant mapped in a Price List. Overrides any existing or Catalog list price for the variant/product. If empty, the sale price will be treated as not being set on this variant.

sale_pricedoubleOptional

The sale price for the variant mapped in a Price List. Overrides any existing or Catalog sale price for the variant/product. If empty, the sale price will be treated as not being set on this variant.

retail_pricedoubleOptional

The retail price for the variant mapped in a Price List. Overrides any existing or Catalog retail price for the variant/product. If empty, the retail price will be treated as not being set on this variant.

map_pricedoubleOptional

The MAP (Minimum Advertised Price) for the variant mapped in a Price List. Overrides any existing or Catalog MAP price for the variant/product. If empty, the map_ price will be treated as not being set on this variant.

bulk_pricing_tierslist of objectsOptional

Response

Success response for batch POST of Price List Records.

dataobject
metaobject

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.